util.exc

## Class ErrorWindow

- java.lang.Object
- - util.exc.ErrorWindow

-      class ErrorWindow
      extends java.lang.Object

  The dialog used to show exceptions.

  This implementation shows the stack trace and the nested exceptions as well. This class was moved from ErrorHandler into a separate Class in Version 2.1. Please use ErrorHandler, do not call this directly

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorWindow(java.awt.Component parent, java.lang.String errorMsg, java.lang.Throwable thr)` Creates a new instance of ErrorDialog.
    `ErrorWindow(java.awt.Component parent, java.lang.String errorMsg, java.lang.Throwable thr, int messageType)` Creates a new instance of ErrorDialog.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `centerAndShow()` Centers and shows the error dialog.
    `int` | `getReturnValue()` Returns the Value of the Button that was pressed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ErrorWindow

          public ErrorWindow(java.awt.Component parent,
                     java.lang.String errorMsg,
                     java.lang.Throwable thr)

      Creates a new instance of ErrorDialog.
      Parameters:
        `parent` - A component in the component tree the dialog should be created for.
        `errorMsg` - The localized error message.
        `thr` - The throwable whose details are shown by the dialog.

    - #### ErrorWindow

          public ErrorWindow(java.awt.Component parent,
                     java.lang.String errorMsg,
                     java.lang.Throwable thr,
                     int messageType)

      Creates a new instance of ErrorDialog.
      Parameters:
        `parent` - A component in the component tree the dialog should be created for.
        `errorMsg` - The localized error message.
        `thr` - The throwable whose details are shown by the dialog.
        `messageType` - The type of Window to Display: ErrorHandler.SHOW_OK, ErrorHandler.SHOW_YES_NO
      Since:
        2.1

  - ### Method Detail

    - #### centerAndShow

          public void centerAndShow()

      Centers and shows the error dialog.

    - #### getReturnValue

          public int getReturnValue()

      Returns the Value of the Button that was pressed.
      Returns:
        ErrorHandler.YES_PRESSED, ErrorHandler.NO_PRESSED, ErrorHandler.OK_PRESSED
      Since:
        2.1

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)